---
project:
  description: The application supports the mouse device. It prints the mouse operation
    when the mouse device is attached.
  device: MIMXRT1166DVM6A:cm7
  components:
  - component: NXP::USB:USB Host:ehci
  - component: NXP::USB:USB PHY:phy
  - component: NXP::Device:SDK Utilities:assert_lite
  - component: NXP::Device:SDK Utilities:debug_console_lite
  - component: NXP::Device:SDK Utilities:baremetal
  - component: NXP::USB:USB Host:hid
  - component: NXP::Device:SDK Drivers:lists
  - component: NXP::Device:SDK Drivers:lpuart_adapter
  - component: NXP::Device:SDK Drivers:lpuart
  - component: NXP::Device:CMSIS:MIMXRT1166_header
  - component: NXP::Device:Startup
  - component: NXP::Device:SDK Drivers:cache
  - component: NXP::Device:SDK Drivers:clock
  - component: NXP::Device:SDK Drivers:common
  - component: NXP::Device:SDK Drivers:dcdc_soc
  - component: NXP::Device:SDK Drivers:gpio
  - component: NXP::Device:SDK Drivers:iomuxc
  - component: NXP::Device:SDK Drivers:pmu_1
  - component: NXP::Board Support:SDK Drivers:evkmimxrt1160 xip
  - component: NXP::Device:SDK Drivers:xip_device
  - component: NXP::USB:USB Host:stack
  - component: NXP::Device:SDK Utilities:misc_utilities
  - component: NXP::USB:USB Host:ehci_config_header
  - component: NXP::USB:USB Host:common_header
  - component: NXP::NXP Component:OS Abstraction Layer:osa
  - component: NXP::USB:USB Common Header:common_header
  - component: NXP::Device:SDK Drivers:memory
  - component: NXP::Device:SDK Utilities:str
  - component: ARM::CMSIS:CORE
  - component: NXP::Device:CMSIS:MIMXRT1166_system
  - component: NXP::Device:SDK Drivers:anatop_ai
  groups:
  - group: board
    files:
    - file: pin_mux.c
    - file: pin_mux.h
    - file: board.c
    - file: board.h
    - file: clock_config.c
    - file: clock_config.h
    - file: dcd.c
    - file: dcd.h
  - group: source
    files:
    - file: app.h
    - file: app.c
    - file: host_mouse.c
    - file: host_mouse.h
  - group: MIMXRT1166/iar
    files:
    - file: iar/MIMXRT1166xxxxx_cm7_ram.icf
      for-compiler:
      - IAR
      for-context:
      - ".debug"
      - ".release"
    - file: iar/MIMXRT1166xxxxx_cm7_sdram.icf
      for-compiler:
      - IAR
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: iar/MIMXRT1166xxxxx_cm7_flexspi_nor.icf
      for-compiler:
      - IAR
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  - group: MIMXRT1166/arm
    files:
    - file: mdk/MIMXRT1166xxxxx_cm7_ram.scf
      for-compiler:
      - AC6
      for-context:
      - ".debug"
      - ".release"
    - file: mdk/MIMXRT1166xxxxx_cm7_sdram.scf
      for-compiler:
      - AC6
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: mdk/MIMXRT1166xxxxx_cm7_flexspi_nor.scf
      for-compiler:
      - AC6
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  - group: MIMXRT1166/gcc
    files:
    - file: armgcc/MIMXRT1166xxxxx_cm7_ram.ld
      for-compiler:
      - GCC
      for-context:
      - ".debug"
      - ".release"
    - file: armgcc/MIMXRT1166xxxxx_cm7_sdram.ld
      for-compiler:
      - GCC
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: armgcc/MIMXRT1166xxxxx_cm7_flexspi_nor.ld
      for-compiler:
      - GCC
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  setups:
  - setup: GCC
    for-compiler: GCC
    for-context: ".debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_CLEAR_BSS"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_CLEAR_BSS"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DUSE_SDRAM"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__heap_noncacheable__=1"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DUSE_SDRAM"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__heap_noncacheable__=1"
      - "-Wl,--defsym=__stack_size__=0x2000"
      - "-Wl,--defsym=__heap_size__=0x400"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: IAR
    for-compiler: IAR
    for-context: ".debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-On"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DDEBUG"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      - "-Oh"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DUSE_SDRAM"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __heap_noncacheable__=1"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DNDEBUG"
      - "-DUSE_SDRAM"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - -M"<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--c++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __heap_noncacheable__=1"
      - "--config_def __stack_size__=0x2000"
      - "--config_def __heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O1"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O1"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--legacyalign"
      - "--diag_suppress=3912"
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-DXIP_BOOT_HEADER_ENABLE=1"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--legacyalign"
      - "--diag_suppress=3912"
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-DXIP_BOOT_HEADER_ENABLE=1"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=0"
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DUSE_SDRAM"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__heap_noncacheable__=1"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DUSE_SDRAM"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1166DVM6A_cm7"
      - "-DUSB_STACK_BM"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__heap_noncacheable__=1"
      - --predefine="-D__stack_size__=0x2000"
      - --predefine="-D__heap_size__=0x2000"
  rte:
    base-dir: "./$TargetType$/RTE"
